<?php
// START NEWSLATTER SECTION 
$section ='lz_fitness_newslatter_section';
$wp_customize->add_section($section,array('title' => __( 'Subscribe for Discount', 'luzuk-premium' ),'panel' => 'lz_fitness_premium_home_panel',));
    //ENABLE/DISABLE NEWSLATTER SECTION
$wp_customize->add_setting('lz_fitness_newslatter_section_disable',array('sanitize_callback' => 'lz_fitness_sanitize_text','default' => 'off'));
$wp_customize->add_control(
	new lz_fitness_Switch_Control($wp_customize,'lz_fitness_newslatter_section_disable',
		array(
			'settings'=> 'lz_fitness_newslatter_section_disable',
			'section'=> $section,
			'label'=> __( 'Disable Section', 'luzuk-premium' ),
			'on_off_label' => array(
				'on' => __( 'Yes', 'luzuk-premium' ),
				'off' => __( 'No', 'luzuk-premium' )
			)
		)
	)
);


backgroundManager($wp_customize, 'newsletter', $section, $color='#fff', get_template_directory_uri().'/images/default-gray.png', 'img');

lzCustomLable($wp_customize, 'newslettersection_padding', 'lz_fitness_newslatter_section', ' Section Padding Setting:');

$wp_customize->add_setting(
    'sectionnewsletter_toppadding',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( '3em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'sectionnewsletter_toppadding',
    array(
        'settings'      => 'sectionnewsletter_toppadding',
        'section'       => 'lz_fitness_newslatter_section',
        'type'          => 'text',
        'label'         => __( 'Section Top Padding', 'luzuk-premium' )
    )
);
$wp_customize->add_setting(
    'sectionnewsletter_bottompadding',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( '3em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'sectionnewsletter_bottompadding',
    array(
        'settings'      => 'sectionnewsletter_bottompadding',
        'section'       => 'lz_fitness_newslatter_section',
        'type'          => 'text',
        'label'         => __( 'Section Bottom Padding', 'luzuk-premium' )
    )
);
$wp_customize->add_setting(
    'sectionnewsletter_leftpadding',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( '0px', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'sectionnewsletter_leftpadding',
    array(
        'settings'      => 'sectionnewsletter_leftpadding',
        'section'       => 'lz_fitness_newslatter_section',
        'type'          => 'text',
        'label'         => __( 'Section Left Padding', 'luzuk-premium' )
    )
);
$wp_customize->add_setting(
    'sectionnewsletter_rightpadding',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( '0px', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'sectionnewsletter_rightpadding',
    array(
        'settings'      => 'sectionnewsletter_rightpadding',
        'section'       => 'lz_fitness_newslatter_section',
        'type'          => 'text',
        'label'         => __( 'Section Right Padding', 'luzuk-premium' )
    )
);



$wp_customize->add_setting('lz_fitness_newslatter_title_subtitle_heading',array('sanitize_callback' => 'lz_fitness_sanitize_text'));
$wp_customize->add_control(
	new lz_fitness_Customize_Heading($wp_customize,'lz_fitness_newslatter_title_subtitle_heading',
		array(
			'settings'=> 'lz_fitness_newslatter_title_subtitle_heading',
			'section'=> $section,
			'label'=> __( 'Section Title & Sub Title', 'luzuk-premium')
		)
	)
);
$wp_customize->add_setting('lz_fitness_newslatter_title',array('sanitize_callback' => 'lz_fitness_sanitize_text','default'=> __( 'Subscribe Newsletter', 'luzuk-premium' )));
$wp_customize->add_control('lz_fitness_newslatter_title',
	array(
		'settings'=> 'lz_fitness_newslatter_title',
		'section'=> $section,
		'type'=> 'text','label'=> __( 'Title', 'luzuk-premium' )
	)
);
$wp_customize->add_setting('lz_fitness_newslatter_sub_title',array('sanitize_callback' => 'lz_fitness_sanitize_text','default'=> __( 'Fill the form and get dicounts', 'luzuk-premium' )));
$wp_customize->add_control(
	'lz_fitness_newslatter_sub_title',
	array(
		'settings'      => 'lz_fitness_newslatter_sub_title',
		'section'       => $section,
		'type'          => 'textarea',
		'label'         => __( 'Sub Title', 'luzuk-premium' )
	)
);


$wp_customize->add_setting('lz_fitness_newslatter_discounts_percentage',array('sanitize_callback' => 'lz_fitness_sanitize_text','default'=> __( '&#x00025;', 'luzuk-premium' )));
$wp_customize->add_control('lz_fitness_newslatter_discounts_percentage',
	array(
		'settings'=> 'lz_fitness_newslatter_discounts_percentage',
		'section'=> $section,
		'type'=> 'text','label'=> __( '% Title', 'luzuk-premium' )
	)
);
$wp_customize->add_setting('lz_fitness_newslatter_discounts_title',array('sanitize_callback' => 'lz_fitness_sanitize_text','default'=> __( 'Get Amazing <br>Discounts', 'luzuk-premium' )));
$wp_customize->add_control('lz_fitness_newslatter_discounts_title',
	array(
		'settings'=> 'lz_fitness_newslatter_discounts_title',
		'section'=> $section,
		'type'=> 'text','label'=> __( 'Discount text', 'luzuk-premium' )
	)
);

// Heading color
addColorPalatOption($wp_customize, 'lz_fitness_newslatter_HeadingColor', $section, 'Heading color', $headingColor);
// Text color
addColorPalatOption($wp_customize, 'lz_fitness_newslatter_TextColor', $section, 'Text color', '#333333');

$wp_customize->add_setting('lz_fitness_newslatter_form_lbl',array('sanitize_callback' => 'lz_fitness_sanitize_text',));
$wp_customize->add_control(
	new lz_fitness_Customize_Heading(
		$wp_customize,
		'lz_fitness_newslatter_form_lbl',
		array(
			'settings'      => 'lz_fitness_newslatter_form_lbl',
			'section'       => $section,
			'label'         => __( 'Add Newsletter shortcode', 'luzuk-premium' ),
		)
	)
);

$wp_customize->add_setting('lz_fitness_newslatter_form_shortcode',array('sanitize_callback' => 'lz_fitness_sanitize_text','default'=> __( 'Add your form shortcode here', 'luzuk-premium' )));
$wp_customize->add_control(
	'lz_fitness_newslatter_form_shortcode',
	array(
		'settings'      => 'lz_fitness_newslatter_form_shortcode',
		'section'       => $section,
		'type'          => 'text',
		'label'         => __( 'Shortcode', 'luzuk-premium' )
	)
);

lzCustomLable($wp_customize, $id='lz_fitness_newslatter_section_imageLbl', $section, $label="Left Image");
lzAddImageElement($wp_customize, $id='lz_fitness_newslatter_section_image', $section, $label="Recommended Image Size: 400X300px");
// EDN NEWSLATTER SECTION 